#include <stdio.h>
#include "anpssc-api.h"
#include "cm-helper.c"


main()
{
	int fd, i;
	char fromApp[256];
	int n;
	char buf[4096];
	struct timeval to;
	int fcpu, fslot, fplane;

	map_of_chassis = malloc(12 * sizeof(cmCard_t));
	bzero(map_of_chassis, 12 * sizeof(cmCard_t));

	fd = regAgileApp("cm");

	if (fd < 0) {
		perror ("error from regAgileApp");
		exit(1);
	}

	to.tv_sec = 3;
	to.tv_usec = 0;
	
	while (1)
	{
		if ((n=recvAgileMsg (fd, buf, sizeof(buf), &to, fromApp, &fcpu, 
		                     &fslot, &fplane)) < 0) {
			printf ("error from recvAgileMsg");
		}
		else if (n) {
			if ((*buf == EDIT_CM_MAP) || (*buf == 0x2d))
			{
			  memcpy (map_of_chassis, (char*)(buf) + sizeof(int),  12 * sizeof(cmCard_t));
			}	
			else if (*buf == VIEW_CM_MSG)
			{
#if 0
printf("\n  chassis map results  " );
                                for (i = 0; i < 40; i ++)
                                  printf("%lx(@%lx) ",*(((int*)map_of_chassis) + i),(((int*)map_of_chassis) + i));
			cmViewChassis();
#endif
				if (sendAgileMsg(-1, map_of_chassis, (12*sizeof(cmCard_t)), 
					fromApp, fcpu, fslot, fplane, NULL, 0, 0) < 0)
			 	printf("sendAM error");
			}
		}
	}
	free(map_of_chassis);
}
