#include <stdio.h>
#include "anpssc-api.h"
#include <sys/types.h>
#include <sys/socket.h>
#include "neteee/eee.h"


int
main()
{
	int fd;
	char fromApp[256];
	int n;
	char buf[40960];
	struct timeval to;
	int fcpu, fslot, fplane;

	fd = regAgileApp("eee_test_simple");

	if (fd < 0) {
		perror ("error from regAgileApp");
		exit(1);
	}

	if (eee_connect(fd, 2, 3, 1) != 0) {
		perror("connect");
		exit(1);
	}

	to.tv_sec = 5;
	to.tv_usec = 0;

	while(1) {
		if ((n=recvAgileMsg (fd, buf, sizeof(buf), NULL, fromApp, &fcpu, 
		                     &fslot, &fplane)) < 0) {
			perror ("error from recvAgileMsg");
			exit(1);
		}

		if (!n) {
			printf("recvAgileMsg timeout\n");
		}
		else {
			printf("From :%s: got %d\n", fromApp, n);

			*(uint32 *)buf = 0;
			*((uint32 *)buf + 1) = 0;
			*((uint32 *)buf + 2) = n;
			*((uint32 *)buf + 3) = fplane;
	
			if (sendAgileMsg(-1, buf, n, fromApp, fcpu, fslot, fplane, NULL, 0, 0) < 0) {
				perror("sendAM error");
			}
		}
	}
}
