#include <stdio.h>
#include "anpssc-api.h"
#include <unistd.h>
#include <stdlib.h>

int
main()
{
	int n;
	char buf[4096];
	char resp[4096];
	int pid, rpid;
	struct timeval to;

	pid = getpid();

	n = sprintf(buf, "Message   %d", pid);

	to.tv_sec = 3;
	to.tv_usec = 0;

	n = sendAgileMsg(-1, buf, n+1, "ssc_test", 0, 0, 0, &to, resp, sizeof(resp));
	if (n < 0) {
		perror("sendAM error");
	}
	else if (!n) {
		printf ("Reponse timed out\n");
	}
	else {
		rpid = atoi(&resp[10]);
		if (rpid != pid) {
			printf("Didn't get our response\n");
		}
		printf("Got %d :%s:\n",n, resp);
	}

	return 0;
}
