/*
 *------------------------------------------------------------------------------
 *
 * Name:	ispfc.h
 *
 * RCS:		$Id: ispfc.h,v 1.5 2002/10/25 22:24:36 raster Exp $
 *
 * Copyright (C) 2001, Agile Storage Inc.
 *
 * Description:	QLogic 2300 FC HAL driver external definitions.
 *
 * Created by:	Radek Aster
 *
 * Date Created: 6/5/01
 *
 *------------------------------------------------------------------------------
 */

#ifndef __ISPFC_INIT_H__
#define __ISPFC_INIT_H__

void ispfc_early_init(void);
int ispfc_pci_init(int, int);
void ispfc_init(void);

int32 ispfc_is_autolinkenable_on(void);
void  ispfc_set_autolinkenable_on(void);
void  ispfc_set_autolinkenable_off(void);

#endif
