/*
 *-----------------------------------------------------------------
 *
 * Name:	isxdigit.c
 *
 * RCS:  $Id: isxdigit.c,v 1.1.1.1 2001/07/04 00:17:14 rick Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description: returns true if c is a hex digit
 *
 * Created by:	Rick Lund
 *
 * Date Created:	6/7/01
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>

int32
isxdigit (
	int32	c
)
{
	if (c >= '0' && c <= '9')
		return (1);

	if (c >= 'a' && c <= 'f')
		return (1);

	if (c >= 'A' && c <= 'F')
		return (1);

	return (0);

}	/* isxdigit() */

