/*
 *-----------------------------------------------------------------
 *
 * Name:	sprintf.c
 *
 * RCS:  $Id: sprintf.c,v 1.1.1.1 2001/07/04 00:17:15 rick Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:	6/7/01
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>
#include "libc.h"

int32
sprintf(char *buf, const char *fmt, ...)
{
	int32	n;
	va_list	ap;

	va_start(ap, fmt);
	n = vsprintf (buf, fmt, ap);
	va_end(ap);

	return (n);

}	/* sprintf() */

