/*
 *-----------------------------------------------------------------
 *
 * Name:	strbequ.c
 *
 * RCS:  $Id: strbequ.c,v 1.1.1.1 2001/07/04 00:17:13 rick Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description: return 1 if s2 matches 1st part of s1
 *
 * Created by:	Rick Lund
 *
 * Date Created:	5/31/01
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>

int32 
strbequ (
	char8	* s1,
	char8	* s2
)
{
	if (!s1 || !s2)
		return (0);

	for (; *s1 && *s2; s1++, s2++)
		if (*s1 != *s2)
			return (0);

	if (!*s2)
		return (1);

	return (0);

}	/* strbequ() */

