/*
 *-----------------------------------------------------------------
 *
 * Name:	strccat.c
 *
 * RCS:  $Id: strccat.c,v 1.1 2001/09/26 17:59:41 rick Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description:	concatinate char to dst string
 *
 * Created by:	Rick Lund
 *
 * Date Created:	9/19/01
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>

char8 *
strccat (
	char8	* dst,
	char	c
)
{
	int32	len;

	if (!dst)
		return (dst);
	len = strlen (dst);
	dst[len] = c;
	dst[len + 1] = 0;

	return (dst);

}

