/*
 *-----------------------------------------------------------------
 *
 * Name:	strichr.c
 *
 * RCS:  $Id: strichr.c,v 1.1.1.1 2001/07/04 00:17:14 rick Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description: inserts c as the first char of the string p
 *
 * Created by:	Rick Lund
 *
 * Date Created:	5/31/01
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>

char8 *
strichr (
	char8	* p,
	int32	c
)
{
	char8	* t;

	if (!p)
		return (p);

	for (t = p; *t; t++);

	for (; t >= p; t--)
		*(t + 1) = *t;

	*p = c;

	return (p);

}	/* strichr() */

