/*
 *-----------------------------------------------------------------
 *
 * Name:	striequ.c
 *
 * RCS:  $Id: striequ.c,v 1.1 2001/09/26 17:59:41 rick Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:	9/19/01
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>

/** int striequ(s1,s2) returns 1 if s1 matches s2 ignoring case, else 0 */
int32
striequ (
	char8	*s1,
	char8	*s2
)
{
	if (!s1 || !s2)
		return (0);

	for (; *s1; s1++, s2++) {
		if (toupper (*s1) != toupper (*s2))
			return (0);
	}

	if (*s2)
		return (0);

	return (1);

}

