
#define MAX_ECODE_STRING_LEN	40

char scsi_msg_ecode_string[][MAX_ECODE_STRING_LEN] = {
		"OK",
		"No such device",
		"Device closed",
		"No resource availbale",
		"Invalid Message",
		"Illegal Request",
		"No media",
		"Device Read only",
		"Parameters out of range",
		"Not supported",
		"Device Path Failed",
		"Device IO Error",
		"Disk: Read Checksum Error",
		"Device Medium Error",
		"Tape: ILI Set",
		"Tape: Filemark Encountered",
		"Tape: End of medium",
		"Invalid IOCTL type",
		"Invalid IOCTL parameters",
		"IOCTL Failed",
		"Data Checksum Error",
		"Timeout occured",
		"Invalid Len",
		"Invalid Transaction Sequence",
		"Write Gate Closed"
};

char* scsi_ecode_to_string(int ecode)
{
	if(ecode < 0 || ecode >= sizeof(scsi_msg_ecode_string)/MAX_ECODE_STRING_LEN)
		return "Invalid SCSI ECode";
	return(scsi_msg_ecode_string[ecode]);
}	
