#include <stdio.h>
#include <stdlib.h>
#include "exports/rcon-api.h"

extern int
main (int argc, char *argv[])
{
    int slot, cpu;
    char linebuf[256];
    int rc;

    if (argc != 3) {
	printf ("Usage %s slot cpu\n", argv[0]);
	exit (1);
    }

    slot = atoi (argv[1]);
    cpu = atoi (argv[2]);

    if (establish_rcon_session (slot, cpu)) {
	fprintf (stderr, "Establish failed\n");
	exit (1);
    }

    fputs ("Enter string to send -> ", stdout);
    fgets (linebuf, sizeof(linebuf), stdin);

    if (send_to_rcon (linebuf)) {
	fprintf (stderr, "send failed\n");
	exit (1);
    }

    while ((rc = get_from_rcon (linebuf, sizeof(linebuf), 5)) > 0) {
	printf ("Got %s", linebuf);
	fflush (stdout);
    }
    shutdown_rcon_session ();
    exit (0);
}
