
include ${PATH_TO_TOOLS}/defs.mk
include ${PATH_TO_TOOLS}/suffix.mk

OFILES=$(FILES:xxx=o)
CFILES=$(FILES:xxx=c)
DFILES=$(FILES:xxx=d)

install: all
	${SUDO} ${INSTALL} -o ${BINOWN} -g ${BINGRP} -m ${BINMODE} ${PROG} ${BIN_DIR}/${PROG}

all: ${PROG}

${PROG}: ${OFILES}
	${LINK} -o ${PROG} ${OFILES} ${LIBS}

clean: clean-loc

clean-loc:
	rm -f ${OFILES} ${DFILES} ${PROG}

export:

ifneq (${CFILES},)
ifneq ($(findstring clean, ${MAKECMDGOALS}), clean)
-include ${DFILES}
endif
endif
