/* $Id: fprintf.c,v 1.1.1.1 2001/10/12 19:56:53 rick Exp $ */
#include <pmon/stdio.h>
#include <mips/stdarg.h>

/*************************************************************
 *  fprintf(fp,fmt,va_alist) send formatted string to stream
 */
int 
fprintf (FILE *fp, const char *fmt, ...)
{
    int             len;
    va_list ap;

    va_start(ap, fmt);
    len = vfprintf (fp, fmt, ap);
    va_end(ap);
    return (len);
}
