/* agilesession.c */

#include <unistd.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>

#include "httpd.h"
#include "http_request.h"
#include "http_log.h"

#include "agilesession.h"

typedef struct _agileSession_t {
	int id;
} agileSession_t;



int agile_setup_session(void *req)
{
request_rec *r = (request_rec *) req;
char tmp[1024];

	sprintf(tmp, "sid=1; path=/;");
	ap_table_setn(r->headers_out, "Set-Cookie", tmp);
	return 1;
}

int agile_tearup_session(void *req)
{
request_rec *r = (request_rec *) req;
char tmp[1024];

	sprintf(tmp, "sid=; path=/; expires=Thu 01-Jan-1970 00:00:00 GMT;");
	ap_table_setn(r->headers_out, "Set-Cookie", tmp);
	return 1;
}
