/*
 *-----------------------------------------------------------------
 *
 * Name:	cod-api.c
 *
 * RCS:  $Id: cod-api.c,v 1.2 2001/08/10 21:36:07 rick Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description:	COD creation routines
 *
 * Created by:	Rick Lund
 *
 * Date Created:	7/30/01
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>
#include <exports/cm-api.h>

uint64	cod_cntr;

/*-----------------------------------------------------------------
 * Name:	cod_init()
 *
 * Description:	Initialize COD counter
 *
 * Created by:	Rick Lund
 *
 * Date Created:	7/30/01
 *
 *-----------------------------------------------------------------
 */
void
cod_init()
{
	/*
	 * This should probably take an initializer, which would start the chain
	 * of CODs, in the case of a reboot.
	 */
	cod_cntr = 0;

}	/* cod_init() */

