/*------------------------------------------------------------------------------
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Name         : crypt.h
 *
 * Description  : Main header file of the encryption module.
 *
 * Created by   : Isabelle Cnudde
 *
 * Date Created : 06-SEP-2001
 *
 *------------------------------------------------------------------------------
 */
#ifndef _CRYPT_H_
#define _CRYPT_H_

/*------------------------------------------------------------------------------
 * Include files
 *------------------------------------------------------------------------------
 */

#include <stdio.h>      // fprintf(), stderr
#include <stdlib.h>     // exit()
#include <string.h>     // memset()

#include "nfx-incl.h"

/*------------------------------------------------------------------------------
 * Constants and macros.
 *------------------------------------------------------------------------------
 */

#define CRYPT_DBG_PRINT(_p) // printf(_p)
#define CRYPT_FCT_PRINT(_p) // printf(_p)
#define CRYPT_ERR_PRINT(_p) // printf(_p)

/*----------------------------------------------------------------------------*/

#endif // _CRYPT_H_
