/*
 * Name:  fs-trashcan.h
 *
 * RCS:  $Id: fs-trashcan.h,v 1.3 2002/03/10 20:20:27 bobonfrogger Exp $
 *
 * Description:  Trashcan functions.
 *
 * Created By:  Bob Fozard
 *
 * Date Created:  9/20/2001
 */

#if !defined(FS_TRASHCAN_H)
#define FS_TRASHCAN_H

#include "fs-includes.h"

/**
 * Insert "inode" into the trashcan.
 */
void fs_trashcanAdd(fs_Context *context, fs_Inode *trashcanInode, fs_Inode *inode);
void fs_trashcanWakeup(fs_Context *context);
void fs_trashcanThread(esm_handle_t handle, void *arg);

#endif // FS_TRASHCAN_H
