#define TR_FC_WRITE_DISPATCH		0
#define TR_FC_WRITE_RESPONSE		1
#define TR_SCSI_WRITE_REQUEST		2
#define TR_SCSI_WRITE_RESPONSE		3

#define TRACE_DEPTH			512
typedef struct {
	uint32	op_type;
	uint32	lba;
	uint32	lbc;
} ispfc_trace_elem_t;

typedef struct {
	uint32 index;
	ispfc_trace_elem_t elems[TRACE_DEPTH];
} ispfc_trace_t;

extern ispfc_trace_t *tr;

void ispfc_trace_init(void);
void ispfc_trace_add(uint32, uint32, uint32);
void ispfc_trace_dump(int32);
