/*
 *-----------------------------------------------------------------
 *
 * Name:	strbalp.c
 *
 * RCS:  $Id: strbalp.c,v 1.1 2001/09/26 17:59:41 rick Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description:
 *				return a ptr to balancing paren
 *
 * Created by:	Rick Lund
 *
 * Date Created:	9/19/01
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>

char8 *
strbalp (
	char8	* p
)
{
	char8	b, e;
	char8	*ol = "({[<";
	char8	*cl = ")}]>";
	int32	i, n;

	b = *p;
	for (i = 0; ol[i] != 0; i++) {
		if (ol[i] == b)
			break;
	}

	if (ol[i] == 0)
		return (0);
	e = cl[i];

	n = 0;
	for (; *p; p++) {
		if (*p == b)
			n++;
		else if (*p == e) {
			n--;
			if (n == 0)
				return (p);
		}
	}

	return (0);
}

