/*
 *-----------------------------------------------------------------
 *
 * Name:	strrpset.c
 *
 * RCS:  $Id: strrpset.c,v 1.1 2001/09/26 17:59:41 rick Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description: like strrset except ignores inner parens 
 *
 * Created by:	Rick Lund
 *
 * Date Created:
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>

char8 *
strrpset (
	char8	* str,
	char8	* set
)
{
	int32	n;
	char8	* p;

	n = 0;
	for (p = &str[strlen (str) - 1]; p > str; p--) {
	if (*p == '(')
		n++;
	else if (*p == ')')
		n--;
	else if (strchr (set, *p) && n == 0)
		return (p);
	}
	return (0);
}

