/*
 *-----------------------------------------------------------------
 *
 * Name:    strstr.c
 *
 * RCS:  $Id: strstr.c,v 1.1 2001/11/14 23:33:00 bob Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description:
 *
 * Created by:   Bob Fozard
 *
 * Date Created:    11/14/01
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>

char *
strstr(
    const char    *str,
    const char    *substr
)
{
    const char *a, *b;

    b = substr;
    if (*b == 0)
        return (char *)str;
    for ( ; *str != 0; str += 1)
    {
        if (*str != *b)
            continue;
        a = str;
        while (1)
        {
            if (*b == 0)
                return (char *)str;
            if (*a++ != *b++)
                break;
        }
        b = substr;
    }
    return NULL;

} /* strstr() */
