/*
 *-----------------------------------------------------------------
 *
 * Name:
 *
 * RCS:  $Id: load-fname.c,v 1.2 2002/02/14 21:33:49 rick Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:	2/4/02
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>
#include "load.h"

/*-----------------------------------------------------------------
 * Name:
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:	2/4/02
 *
 *-----------------------------------------------------------------
 */
void
load_get_fname(
	uint32	card_type,
	uint32	slot,
	uint32	cpu,
	uchar8	* fname
)
{
	fname[0] = '\0';

	if (card_type == LOADER_FNAME_TXRX) {
		sprintf(fname, "txrx.%d.%d", slot, cpu);
	}
	else if (card_type == LOADER_FNAME_FP) {
		sprintf(fname, "fp.%d.%d", slot, cpu);
	}
	else if (card_type == LOADER_FNAME_SP) {
		sprintf(fname, "sp.%d.%d", slot, cpu);
	}
}

