/* vi:ts=4
 *-----------------------------------------------------------------
 *
 * Name:         lock-nlmCluster.h
 *
 * RCS:  $Id: $
 *
 * Copyright (C) 2002, ClariStor Inc.
 *
 * Description:  Prototypes of functions related to cluster NLM support.
 *
 * Created by:   Xiaobing Zhang
 *
 * Date Created: 01/09/2003
 *
 *-----------------------------------------------------------------
 */
#ifndef _LOCK_NLMCLUSTER_H
#define _LOCK_NLMCLUSTER_H

/*--------------------
 * Function prototypes
 *--------------------
 */
int32
lock_nlmClusSaveLock(vs_mem_index_t		lockInfoIdx,
					 lock_nlmLockInfo_t	*lockInfop,
					 uint8				lockType,
					 uint8				lockState);

int32
lock_nlmClusRemoveLock(vs_mem_index_t		lockInfoIdx,
					   lock_nlmLockInfo_t	*lockInfop,
					   boolean				*delete);

int32
lock_nlmClusUpdateLock(vs_mem_index_t		lockInfoIdx,
					   lock_nlmLockInfo_t	*lockInfop,
					   uint8				lockState);

#endif /* _LOCK_NLMCLUSTER_H */
