/*
 *-----------------------------------------------------------------
 *
 * Name:
 *
 * RCS:  $Id: cpu_info.c,v 1.2 2002/09/25 17:23:27 rick Exp $
 *
 * Copyright (C) 2002, Agile Storage, Inc.
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:	8/23/02
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>
#include <exports/cpu-api.h>

uint32
sb1250_getRev()
{
	uint64	rev = ((*(volatile uint64 *)PHYS_TO_K1(0x10020000)) >> 8) & 0xFF;

	if (rev == 1)
		return SB1250_PASS1;
	else
		return SB1250_PASS2;
}

